#include <iostream>

using namespace std;

int main()
{int t,x,y1=0,y2=0,m,n,k,l,i,y,a,g;
cin>>t;
while(t!=0){
    
    cin>>n>>m>>k;
    x=m/n;
    a=x;
    g=x;
    i=(n-1)/2;
    for(l=0;l<i;l++)
    {
        x++;
        y1=y1+x;
    }
    for(l=0;l<i;l++){
        a--;
        y2=y2+a;
    }
    y=y1+y2+g;
    if(y==m){
        cout<<"Tak";}
    else {
        cout<<"Nie";
    }
    
}
    return 0;
}